import 'package:auth/src/core/domain/repositories/auth_repository.dart';
import 'package:auth/src/features/login/domain/two_factor_use_case.dart';

class TwoFactorUseCaseImpl implements TwoFactorUseCase {
  TwoFactorUseCaseImpl(this._repository);

  final AuthRepository _repository;

  @override
  Future<void> twoFactor({required String token, required String code}) {
    return _repository.twoFactor(token: token, code: code);
  }
}
